org.apache.lucene.queryparser.flexible.core.config

## Class ConfigurationKey<T>

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.config.ConfigurationKey<T>

-     public final class ConfigurationKey<T>
      extends Object

  An instance of this class represents a key that is used to retrieve a value from `AbstractQueryConfig`. It also holds the value's type, which is defined in the generic argument.
  See Also:
    `AbstractQueryConfig`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ConfigurationKey<T>` | `newInstance()` Creates a new instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static <T> ConfigurationKey<T> newInstance()

      Creates a new instance.
      Type Parameters:
        `T` - the value's type
      Returns:
        a new instance

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.